.\"
.\" Copyright (c) 1996 Julian R Elischer
.\" All rights reserved.
.\"
.\" This code is derived from software contributed by Kenneth Stailey.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed for the FreeBSD Project
.\"	by Julian R Elischer
.\" 4. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
.\" BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
.\" LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
.\" AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
.\" OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\" $FreeBSD: src/share/man/man9/suser.9,v 1.1.2.4 1999/09/05 11:27:13 peter Exp $
.\"
.Dd Oct 15, 1996
.Dt SUSER 9
.Os FreeBSD
.Sh NAME
.Nm suser
.Nd check if we are superuser and note
.Sh SYNOPSIS
.Fd #include <sys/ucred.h>
.Ft int
.Fn suser "struct ucred *cred, u_short *acflag"
.Sh DESCRIPTION
The
.Nm
function checks if the credentials given include superuser powers.
.Pp
The
.Nm
routine notes the fact that superuser powers have been used in the 
word pointed to by the second argument which should be a pointer to
the p_acflags word of the proc structure. If the second argument is NULL
then the usage is not noted.  Because part of it's function is to notice
whether super powers have been used, 
.Nm 
should be called after other permission possibilities have been exhausted.
.Sh RETURN VALUES
The
.Nm
function returns 0 if the user has super powers and EPERM otherwise.
This is the
.Em reverse logic
of some other implementations of
.Nm
in which a TRUE response indicates Super powers.
